[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ReadDependencyBarrier

Memory Read Dependency Barrier

## Declaration

Source position: systemh.inc line 556

`procedure ReadDependencyBarrier;`

## Description

ReadDependencyBarrier is a low-level instruction to force a read barrier in the CPU: all memory reads (loads) depending on previous loads are separate from the ones following the instruction.

## See also

ReadBarrier |  | Memory Read Barrier
ReadWriteBarrier |  | Memory read/write barrier
WriteBarrier |  | Memory write barrier

Documentation generated on: Feb 26 2014